Difference between revisions of "Firefly Freelink"

From NAS-Central Buffalo - The Linkstation Wiki
Jump to: navigation, search
(Run it)
m (Run it)
Line 150: Line 150:
[[User:Bauldrick|Bauldrick]] 09:13, 21 December 2006 (EST)
[[User:Bauldrick|Bauldrick]] 09:13, 21 December 2006 (EST)

Revision as of 15:47, 21 December 2006

Ff logo sm.gif


  1. Lots of good music
  2. Something to play lots of your good music on - Like a Roku Soundbridge
  3. Or iTunes on your pc


apt-get install libid3tag0 libid3tag0-dev
apt-get install sqlite libsqlite0-dev
apt-get install g++
cd /tmp

Download Firefly mediaserver You will need to check out [the nightlies] and change the address below to the latest version

wget http://nightlies.mt-daapd.org/dl.php?FILE=mt-daapd-svn-1463.tar.gz

Untar and enter folder (replace with whatever latest version is)

tar -zxvf mt-daapd-svn-1463.tar.gz && cd mt-daapd-svn-1463

Configure it with the following (all one line)

./configure --prefix=/usr/local --enable-browse --enable-query --enable-mdns --with-id3tag=/usr/local --enable-sqlite 

Make and install it

make install
mkdir /etc/mt-daapd
cp contrib/mt-daapd.* /etc/mt-daapd/
cd /etc/mt-daapd
pico mt-daapd.conf

Should only need to change where to look for your music files

Starting at boot

I've nicked the start script from andre's mt-daapd ppc package (if you don't mind andre)

pico /etc/init.d/firefly

and add all this

#! /bin/sh
set -e

# /etc/init.d/firefly: start and stop the DAAP daemon


test -x $DAEMON || exit 0 

case "$1" in
   if ! grep -q /usr/local/lib /etc/ld.so.conf; then
     echo /usr/local/lib >> /etc/ld.so.conf

   echo -n "Starting DAAP daemon: firefly"
   if pidof $DAEMON >/dev/null 2>&1; then
     echo " apparently already running."
   exit 0
   if [ ! -s "$DAAPD_CONFIG_FILE" ]; then
     echo " missing or empty config file $DAAPD_CONFIG_FILE"
     exit 1
   start-stop-daemon --start --quiet --background \
   echo "."
   echo -n "Stopping DAAP daemon: firefly"
   killall $DAEMON >/dev/null 2>&1
   echo "."

   set +e
   echo -n "Restarting DAAP daemon: firefly"
   killall $DAEMON >/dev/null 2>&1
   sleep 2
   if ! start-stop-daemon --start --quiet --background \
     echo "start failed?"
   echo "."

   echo "Usage: /etc/init.d/firefly {start|stop|restart}"
   exit 1

exit 0

Then add the links

cd /etc/rc2.d && ln -s /etc/init.d/firefly S20ps2client
cd /etc/rc6.d && ln -s /etc/init.d/firefly K20ps2client
cd /etc/rc0.d && ln -s /etc/init.d/firefly K20ps2client

Think it needs one of these

chmod a+x /etc/init.d/firefly

Run it

Should be able to start it up now


or better still use the start/stop script

/etc/init.d/firefly start

This errors because it looks for mt-daapd.conf in /usr/local/etc/mt-daapd.conf ??

I've just linked to it

mkdir /usr/local/etc
ln -s /etc/mt-daapd/mt-daapd.conf  /usr/local/etc/mt-daapd.conf

Try it now

/etc/init.d/firefly start

Issue top and you should see mt-daapd at the top of the list -


Once that dissapears (it has finished checking your music library) you should be able to see it via the web interface


That should show you something like this


Run over to your Roku Soundbridge and check if its working - then fire up iTunes on your pc and see all your files

Bauldrick 09:13, 21 December 2006 (EST)